edu.isi.pegasus.planner.selector.transformation

## Class RoundRobin

- java.lang.Object
- - edu.isi.pegasus.planner.selector.TransformationSelector
  - - edu.isi.pegasus.planner.selector.transformation.RoundRobin

    public class RoundRobin
    extends TransformationSelector

This implementation of the Selector select a transformation from a list in a round robin fashion.

Version:
  $Revision$
Author:
  Gaurang Mehta

### Field Summary

Fields
`private java.util.LinkedList` `tclist`

### Fields inherited from class edu.isi.pegasus.planner.selector.TransformationSelector

`mLogger, PACKAGE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`RoundRobin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List` `getTCEntry(java.util.List tcentries)` Takes a list of TransformationCatalogEntry objects and returns 1 or many TransformationCatalogEntry objects as a list depending on the type of selection algorithm.

### Methods inherited from class edu.isi.pegasus.planner.selector.TransformationSelector

`loadTXSelector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tclist

    private java.util.LinkedList tclist

### Constructor Detail

#### RoundRobin

    public RoundRobin()

### Method Detail

#### getTCEntry

    public java.util.List getTCEntry(java.util.List tcentries)

Description copied from class: `TransformationSelector`
Takes a list of TransformationCatalogEntry objects and returns 1 or many TransformationCatalogEntry objects as a list depending on the type of selection algorithm. The Random and RoundRobin implementation ensure that only one entry is returned and should be run last when chaining multiple selectors

Specified by:
  `getTCEntry` in class `TransformationSelector`
Parameters:
  `tcentries` - List
Returns:
  TransformationCatalogEntry